diff -urN coreutils-5.2.1.old/debian/changelog coreutils-5.2.1/debian/changelog
--- coreutils-5.2.1.old/debian/changelog	2005-09-03 17:25:18.000000000 -0700
+++ coreutils-5.2.1/debian/changelog	2005-09-03 18:19:54.000000000 -0700
@@ -1,3 +1,14 @@
+coreutils (5.2.1-2.1) unstable; urgency=low
+
+  * NMU during bugsquash party.
+  * Update the documentation to make it clear that mv --reply=no doesn't
+    prevent overwriting files.  Closes: #274705.
+    Note that upstream is planning to deprecate this option.
+  * Fix build with new dpkg-dev, so that it excludes the kill binary and
+    manpage on Linux again.  Closes: #314713.
+
+ -- Daniel Schepler <schepler@debian.org>  Sat,  3 Sep 2005 18:19:54 -0700
+
 coreutils (5.2.1-2) unstable; urgency=low
 
   * remove su for kfreebsd (Closes: #225131)
diff -urN coreutils-5.2.1.old/debian/patches/00_texinfo.patch coreutils-5.2.1/debian/patches/00_texinfo.patch
--- coreutils-5.2.1.old/debian/patches/00_texinfo.patch	2005-09-03 17:25:17.000000000 -0700
+++ coreutils-5.2.1/debian/patches/00_texinfo.patch	2005-09-03 17:56:47.000000000 -0700
@@ -1,6 +1,7 @@
---- coreutils-5.0.orig/doc/coreutils.texi
-+++ coreutils-5.2.1/doc/coreutils.texi
-@@ -5323,7 +5323,7 @@
+diff -ruN coreutils-5.2.1-old/doc/coreutils.texi coreutils-5.2.1/doc/coreutils.texi
+--- coreutils-5.2.1-old/doc/coreutils.texi	2004-03-10 09:50:52.000000000 -0800
++++ coreutils-5.2.1/doc/coreutils.texi	2005-09-03 17:56:39.000000000 -0700
+@@ -5726,7 +5726,7 @@
  Append a character to each file name indicating the file type. This is
  like @option{-F}, except that executables are not marked.
  
@@ -9,7 +10,7 @@
  @itemx --format=across
  @itemx --format=horizontal
  @opindex -x
-@@ -5494,7 +5494,10 @@
+@@ -5897,7 +5897,10 @@
  @opindex -N
  @opindex --literal
  @opindex --quoting-style
@@ -21,7 +22,29 @@
  
  @item -q
  @itemx --hide-control-chars
-@@ -6467,7 +6470,9 @@
+@@ -6300,7 +6303,9 @@
+ given as a response to every prompt about a destination file.  That effectively
+ cancels any preceding @option{--interactive} or @option{-i} option.
+ Specify @option{--reply=no} to make @command{cp} act as if @samp{no} were
+-given as a response to every prompt about a destination file.
++given as a response to every prompt about a destination file.  Note that
++this does @emph{not} prevent overwriting writable files, and that it
++overrides the effects of the @option{-i} option.
+ Specify @option{--reply=query} to make @command{cp} prompt the user
+ about each existing destination file.
+ 
+@@ -6770,7 +6775,9 @@
+ @cindex interactivity
+ Specifying @option{--reply=yes} is equivalent to using @option{--force}.
+ Specify @option{--reply=no} to make @command{mv} act as if @samp{no} were
+-given as a response to every prompt about a destination file.
++given as a response to every prompt about a destination file.  Note that
++this does @emph{not} prevent overwriting writable files, and that it
++overrides the effects of the @option{-i} option.
+ Specify @option{--reply=query} to make @command{mv} prompt the user
+ about each existing destination file.
+ 
+@@ -6842,7 +6849,9 @@
  only if you have appropriate privileges and if your operating system supports
  @code{unlink} for directories.  Because unlinking a directory causes any files
  in the deleted directory to become unreferenced, it is wise to @command{fsck}
@@ -32,7 +55,7 @@
  
  @item -f
  @itemx --force
-@@ -9909,12 +9914,12 @@
+@@ -10569,12 +10578,12 @@
  @cindex login name, printing
  @cindex user name, printing
  
@@ -48,7 +71,7 @@
  an error message and exits with a status of 1.
  
  The only options are @option{--help} and @option{--version}.  @xref{Common
-@@ -9975,11 +9980,11 @@
+@@ -10641,11 +10650,11 @@
  users [@var{file}]
  @end example
  
@@ -64,4 +87,3 @@
  
  The only options are @option{--help} and @option{--version}.  @xref{Common
  options}.
-
diff -urN coreutils-5.2.1.old/debian/rules coreutils-5.2.1/debian/rules
--- coreutils-5.2.1.old/debian/rules	2005-09-03 17:25:18.000000000 -0700
+++ coreutils-5.2.1/debian/rules	2005-09-03 17:34:07.000000000 -0700
@@ -12,6 +12,25 @@
 include /usr/share/dbs/dbs-build.mk
 include /usr/share/dbs/dpkg-arch.mk
 
+ifndef DEB_BUILD_ARCH_OS
+  DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
+  ifeq ($(DEB_BUILD_ARCH_OS),)
+    DEB_BUILD_ARCH_OS := $(subst -gnu,,$(DEB_BUILD_GNU_SYSTEM))
+    ifeq ($(DEB_BUILD_ARCH_OS),gnu)
+      DEB_BUILD_ARCH_OS := hurd
+    endif
+  endif
+endif
+ifndef DEB_HOST_ARCH_OS
+  DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+  ifeq ($(DEB_HOST_ARCH_OS),)
+    DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
+    ifeq ($(DEB_HOST_ARCH_OS),gnu)
+      DEB_HOST_ARCH_OS := hurd
+    endif
+  endif
+endif
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS = "-g -DSYSLOG_SUCCESS -DSYSLOG_FAILURE -DSYSLOG_NON_ROOT -O0"
 else
@@ -75,17 +94,17 @@
 	mv $(d)/usr/share/man/man1/md5sum.1 $(d)/usr/share/man/man1/md5sum.textutils.1
 
 	# some things we don't do for hurd
-ifneq ($(DEB_HOST_GNU_SYSTEM),gnu)
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 		# touch used to be in /usr/bin, don't break scripts
 		ln -s /bin/touch $(d)/usr/bin/touch
 endif
 
 	# remove stuff provided by other packages
-ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 		# kill from procps is linux-specific
 		rm -f $(d)/usr/bin/kill $(d)/usr/share/man/man1/kill.1
 endif
-ifneq ($(DEB_HOST_GNU_SYSTEM),gnu)
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 		rm -f $(d)/usr/bin/su $(d)/usr/share/man/man1/su.1
 endif
 
@@ -147,7 +166,7 @@
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a
-ifeq ($(DEB_BUILD_GNU_SYSTEM),gnu)
+ifeq ($(DEB_BUILD_ARCH_OS),hurd)
 	chmod u+s $(d)/usr/bin/su
 endif
 	dh_installdeb -a
